Skip to main content
GET
/
screening
/
trlink
/
customers
/
{customerId}
/
integrations
/
{customerIntegrationId}
TypeScript
const response: Promise<FireblocksResponse<TRLinkCustomerIntegrationResponse>> = fireblocks.tRLink.getTRLinkCustomerIntegrationById(tRLinkApiGetTRLinkCustomerIntegrationByIdRequest);
CompletableFuture<ApiResponse<TRLinkCustomerIntegrationResponse>> response = fireblocks.tRLink().getTRLinkCustomerIntegrationById(customerId, customerIntegrationId);
response = fireblocks.t_r_link.get_t_r_link_customer_integration_by_id(customer_id, customer_integration_id);
curl --request GET \
--url https://api.fireblocks.io/v1/screening/trlink/customers/{customerId}/integrations/{customerIntegrationId}
const options = {method: 'GET'};

fetch('https://api.fireblocks.io/v1/screening/trlink/customers/{customerId}/integrations/{customerIntegrationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "customerIntegrationId": "123e4567-e89b-12d3-a456-426614174000",
  "createDate": "2025-01-20T10:30:00.000Z",
  "lastUpdate": "2025-01-24T08:45:00.000Z",
  "partner": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "ident": "notabene",
    "name": "Notabene",
    "baseUrl": "https://api.notabene.id",
    "active": true,
    "isTest": false,
    "description": "Travel Rule compliance provider"
  },
  "customer": {
    "id": "550e8400-e29b-41d4-a716-446655440001",
    "discoverable": "discoverable",
    "shortName": "Acme Corp",
    "fullLegalName": "Acme Corporation Ltd.",
    "countryOfRegistration": "US",
    "trPrimaryPurpose": "trlink",
    "createDate": "2025-01-20T10:30:00.000Z",
    "lastUpdate": "2025-01-24T08:45:00.000Z",
    "geographicAddress": {
      "addressLine": [
        "Suite 100"
      ],
      "streetName": "Main Street",
      "buildingNumber": "123",
      "floor": "5",
      "postBox": "PO Box 456",
      "postCode": "10001",
      "townName": "New York",
      "districtName": "Manhattan",
      "countrySubDivision": "NY",
      "country": "US"
    },
    "nationalIdentification": "{\"nationalIdentifier\":\"EXAMPLELEI1234567890\",\"nationalIdentifierType\":\"LEIX\",\"countryOfIssue\":\"US\"}",
    "dateOfIncorporation": "2015-03-15",
    "vaults": [
      0,
      1,
      2
    ]
  },
  "apiKey": "fb_***************",
  "secret": "***"
}
{
"message": "<string>",
"code": 123
}

Path Parameters

customerId
string<uuid>
required

Customer unique identifier

customerIntegrationId
string<uuid>
required

Customer integration unique identifier

Response

Customer integration retrieved successfully

customerIntegrationId
string<uuid>
required

Customer integration unique identifier

Example:

"123e4567-e89b-12d3-a456-426614174000"

createDate
string<date-time>
required

Timestamp when the integration was created (ISO 8601 format)

Example:

"2025-01-20T10:30:00.000Z"

lastUpdate
string<date-time>
required

Timestamp when the integration was last updated (ISO 8601 format)

Example:

"2025-01-24T08:45:00.000Z"

partner
object
required
customer
object
required
apiKey
string | null

API key for partner integration (censored for security)

Example:

"fb_***************"

secret
string | null

Secret for partner integration (censored for security)

Example:

"***"